%global enable_tests 1
%global srcname proxy

Name:           nodejs-%{srcname}
Version:        0.2.4
Release:        2%{?dist}
Summary:        An HTTP proxy written with Node.js

# license is in README.md
License:        MIT
URL:            https://github.com/TooTallNate/proxy
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(mocha)
%endif

%description
%{summary}.

%prep
%setup -q -n package
rm -rf node_modules
%nodejs_fixdep debug '^2.2.0'

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json proxy.js bin/ \
     %{buildroot}%{nodejs_sitelib}/%{srcname}

mkdir -p %{buildroot}%{_bindir}
ln -s %{nodejs_sitelib}/%{srcname}/bin/proxy %{buildroot}%{_bindir}/proxy.js

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
mocha --reporter spec
%endif

%files
%doc README.md History.md
%{nodejs_sitelib}/%{srcname}
%{_bindir}/proxy.js

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Feb 01 2016 Piotr Popieluch <piotr1212@gmail.com> - 0.2.4-1
- Update to 0.2.4

* Tue Nov 24 2015 Tom Hughes <tom@compton.nu> - 0.2.3-2
- Update npm(debug) dependency

* Sun Aug 30 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.2.3-1
- Initial package
